var hierarchy =
[
    [ "ModelTransformerFactory::AdditionalModelHandler", "classModelTransformerFactory_1_1AdditionalModelHandler.html", null ],
    [ "Alignment", "classAlignment.html", null ],
    [ "AllocationFailed", "classAllocationFailed.html", null ],
    [ "AudioFileReader", "classAudioFileReader.html", [
      [ "CodedAudioFileReader", "classCodedAudioFileReader.html", [
        [ "DecodingWavFileReader", "classDecodingWavFileReader.html", null ],
        [ "MP3FileReader", "classMP3FileReader.html", null ],
        [ "OggVorbisFileReader", "classOggVorbisFileReader.html", null ]
      ] ],
      [ "WavFileReader", "classWavFileReader.html", null ]
    ] ],
    [ "AudioFileReaderFactory", "classAudioFileReaderFactory.html", null ],
    [ "AudioLevel", "classAudioLevel.html", null ],
    [ "AudioPlaySource", "classAudioPlaySource.html", null ],
    [ "Auditionable", "structAuditionable.html", [
      [ "RealTimePluginInstance", "classRealTimePluginInstance.html", [
        [ "DSSIPluginInstance", "classDSSIPluginInstance.html", null ],
        [ "LADSPAPluginInstance", "classLADSPAPluginInstance.html", null ]
      ] ]
    ] ],
    [ "BZipFileDevice", "classBZipFileDevice.html", null ],
    [ "FFTDataServer::CacheBlock", "structFFTDataServer_1_1CacheBlock.html", null ],
    [ "CachedFile", "classCachedFile.html", null ],
    [ "Clipboard", "classClipboard.html", null ],
    [ "Command", "classCommand.html", [
      [ "ImageModel::ChangeImageCommand", "classImageModel_1_1ChangeImageCommand.html", null ],
      [ "MacroCommand", "classMacroCommand.html", [
        [ "BundleCommand", "classBundleCommand.html", null ],
        [ "SparseModel< PointType >::EditCommand", "classSparseModel_1_1EditCommand.html", null ]
      ] ],
      [ "PlayParameterRepository::EditCommand", "classPlayParameterRepository_1_1EditCommand.html", null ],
      [ "PropertyContainer::SetPropertyCommand", "classPropertyContainer_1_1SetPropertyCommand.html", null ],
      [ "SparseModel< PointType >::AddPointCommand", "classSparseModel_1_1AddPointCommand.html", null ],
      [ "SparseModel< PointType >::DeletePointCommand", "classSparseModel_1_1DeletePointCommand.html", null ],
      [ "SparseModel< PointType >::RelabelCommand", "classSparseModel_1_1RelabelCommand.html", null ]
    ] ],
    [ "Note::Comparator", "structNote_1_1Comparator.html", null ],
    [ "PathPoint::Comparator", "structPathPoint_1_1Comparator.html", null ],
    [ "RegionRec::Comparator", "structRegionRec_1_1Comparator.html", null ],
    [ "OneDimensionalPoint::Comparator", "structOneDimensionalPoint_1_1Comparator.html", null ],
    [ "TimeValuePoint::Comparator", "structTimeValuePoint_1_1Comparator.html", null ],
    [ "TextPoint::Comparator", "structTextPoint_1_1Comparator.html", null ],
    [ "FlexiNote::Comparator", "structFlexiNote_1_1Comparator.html", null ],
    [ "ImagePoint::Comparator", "structImagePoint_1_1Comparator.html", null ],
    [ "CSVFileWriter", "classCSVFileWriter.html", null ],
    [ "CSVFormat", "classCSVFormat.html", null ],
    [ "Resampler::D", "classResampler_1_1D.html", null ],
    [ "DataFileReader", "classDataFileReader.html", [
      [ "CSVFileReader", "classCSVFileReader.html", null ],
      [ "MIDIFileReader", "classMIDIFileReader.html", null ]
    ] ],
    [ "DataFileReaderFactory", "classDataFileReaderFactory.html", null ],
    [ "MP3FileReader::DecoderData", "structMP3FileReader_1_1DecoderData.html", null ],
    [ "DirectoryCreationFailed", "classDirectoryCreationFailed.html", null ],
    [ "FaderDescription", "structFaderDescription.html", null ],
    [ "FailedToOpenFile", "classFailedToOpenFile.html", null ],
    [ "FeatureWriter::FailedToOpenOutputStream", "classFeatureWriter_1_1FailedToOpenOutputStream.html", null ],
    [ "FeatureExtractionPluginFactory", "classFeatureExtractionPluginFactory.html", null ],
    [ "FeatureWriter", "classFeatureWriter.html", [
      [ "FileFeatureWriter", "classFileFeatureWriter.html", [
        [ "CSVFeatureWriter", "classCSVFeatureWriter.html", null ],
        [ "RDFFeatureWriter", "classRDFFeatureWriter.html", null ]
      ] ]
    ] ],
    [ "FileFinder::FFContainer", "classFileFinder_1_1FFContainer.html", null ],
    [ "FFTCacheReader", "classFFTCacheReader.html", [
      [ "FFTFileCacheReader", "classFFTFileCacheReader.html", null ],
      [ "FFTMemoryCache", "classFFTMemoryCache.html", null ]
    ] ],
    [ "FFTCacheWriter", "classFFTCacheWriter.html", [
      [ "FFTFileCacheWriter", "classFFTFileCacheWriter.html", null ],
      [ "FFTMemoryCache", "classFFTMemoryCache.html", null ]
    ] ],
    [ "FFTDataServer", "classFFTDataServer.html", null ],
    [ "FFTFuzzyAdapter", "classFFTFuzzyAdapter.html", null ],
    [ "FileFinder", "classFileFinder.html", null ],
    [ "FileNotFound", "classFileNotFound.html", null ],
    [ "FileOperationFailed", "classFileOperationFailed.html", null ],
    [ "FileReadFailed", "classFileReadFailed.html", null ],
    [ "FileSource", "classFileSource.html", null ],
    [ "FlexiNote", "structFlexiNote.html", null ],
    [ "FrameTimer", "classFrameTimer.html", null ],
    [ "ModelTransformer::Input", "classModelTransformer_1_1Input.html", null ],
    [ "InsufficientDiscSpace", "classInsufficientDiscSpace.html", null ],
    [ "Labeller", "classLabeller.html", null ],
    [ "LogRange", "classLogRange.html", null ],
    [ "TextMatcher::Match", "structTextMatcher_1_1Match.html", null ],
    [ "MatchFileReader", "classMatchFileReader.html", null ],
    [ "MatrixFile", "classMatrixFile.html", null ],
    [ "MIDIEvent", "classMIDIEvent.html", null ],
    [ "MIDIEventCmp", "structMIDIEventCmp.html", null ],
    [ "MIDIException", "classMIDIException.html", null ],
    [ "MIDIFileImportPreferenceAcquirer", "classMIDIFileImportPreferenceAcquirer.html", null ],
    [ "MIDIFileWriter", "classMIDIFileWriter.html", null ],
    [ "MIDIInput", "classMIDIInput.html", null ],
    [ "AggregateWaveModel::ModelChannelSpec", "structAggregateWaveModel_1_1ModelChannelSpec.html", null ],
    [ "ModelDataTableModel", "classModelDataTableModel.html", null ],
    [ "ModelTransformerFactory", "classModelTransformerFactory.html", null ],
    [ "MutexLocker", "classMutexLocker.html", null ],
    [ "Note", "structNote.html", null ],
    [ "NoteData", "structNoteData.html", null ],
    [ "NoteExportable", "classNoteExportable.html", [
      [ "FlexiNoteModel", "classFlexiNoteModel.html", null ],
      [ "NoteModel", "classNoteModel.html", null ],
      [ "SparseOneDimensionalModel", "classSparseOneDimensionalModel.html", null ]
    ] ],
    [ "OneDimensionalPoint", "structOneDimensionalPoint.html", null ],
    [ "Note::OrderComparator", "structNote_1_1OrderComparator.html", null ],
    [ "PathPoint::OrderComparator", "structPathPoint_1_1OrderComparator.html", null ],
    [ "RegionRec::OrderComparator", "structRegionRec_1_1OrderComparator.html", null ],
    [ "OneDimensionalPoint::OrderComparator", "structOneDimensionalPoint_1_1OrderComparator.html", null ],
    [ "TimeValuePoint::OrderComparator", "structTimeValuePoint_1_1OrderComparator.html", null ],
    [ "TextPoint::OrderComparator", "structTextPoint_1_1OrderComparator.html", null ],
    [ "FlexiNote::OrderComparator", "structFlexiNote_1_1OrderComparator.html", null ],
    [ "ImagePoint::OrderComparator", "structImagePoint_1_1OrderComparator.html", null ],
    [ "OSCMessage", "classOSCMessage.html", null ],
    [ "OSCQueue", "classOSCQueue.html", null ],
    [ "FeatureWriter::Parameter", "structFeatureWriter_1_1Parameter.html", null ],
    [ "PathPoint", "structPathPoint.html", null ],
    [ "Pitch", "classPitch.html", null ],
    [ "Playable", "classPlayable.html", [
      [ "Model", "classModel.html", [
        [ "AlignmentModel", "classAlignmentModel.html", null ],
        [ "DenseThreeDimensionalModel", "classDenseThreeDimensionalModel.html", [
          [ "Dense3DModelPeakCache", "classDense3DModelPeakCache.html", null ],
          [ "EditableDenseThreeDimensionalModel", "classEditableDenseThreeDimensionalModel.html", null ],
          [ "FFTModel", "classFFTModel.html", null ]
        ] ],
        [ "DenseTimeValueModel", "classDenseTimeValueModel.html", [
          [ "RangeSummarisableTimeValueModel", "classRangeSummarisableTimeValueModel.html", [
            [ "AggregateWaveModel", "classAggregateWaveModel.html", null ],
            [ "WaveFileModel", "classWaveFileModel.html", null ],
            [ "WritableWaveFileModel", "classWritableWaveFileModel.html", null ]
          ] ]
        ] ],
        [ "SparseModel< PointType >", "classSparseModel.html", [
          [ "SparseValueModel< PointType >", "classSparseValueModel.html", [
            [ "IntervalModel< PointType >", "classIntervalModel.html", null ]
          ] ]
        ] ],
        [ "SparseModel< FlexiNote >", "classSparseModel.html", [
          [ "SparseValueModel< FlexiNote >", "classSparseValueModel.html", [
            [ "IntervalModel< FlexiNote >", "classIntervalModel.html", [
              [ "FlexiNoteModel", "classFlexiNoteModel.html", null ]
            ] ]
          ] ]
        ] ],
        [ "SparseModel< ImagePoint >", "classSparseModel.html", [
          [ "ImageModel", "classImageModel.html", null ]
        ] ],
        [ "SparseModel< Note >", "classSparseModel.html", [
          [ "SparseValueModel< Note >", "classSparseValueModel.html", [
            [ "IntervalModel< Note >", "classIntervalModel.html", [
              [ "NoteModel", "classNoteModel.html", null ]
            ] ]
          ] ]
        ] ],
        [ "SparseModel< OneDimensionalPoint >", "classSparseModel.html", [
          [ "SparseOneDimensionalModel", "classSparseOneDimensionalModel.html", null ]
        ] ],
        [ "SparseModel< PathPoint >", "classSparseModel.html", [
          [ "PathModel", "classPathModel.html", null ]
        ] ],
        [ "SparseModel< RegionRec >", "classSparseModel.html", [
          [ "SparseValueModel< RegionRec >", "classSparseValueModel.html", [
            [ "IntervalModel< RegionRec >", "classIntervalModel.html", [
              [ "RegionModel", "classRegionModel.html", null ]
            ] ]
          ] ]
        ] ],
        [ "SparseModel< TextPoint >", "classSparseModel.html", [
          [ "TextModel", "classTextModel.html", null ]
        ] ],
        [ "SparseModel< TimeValuePoint >", "classSparseModel.html", [
          [ "SparseValueModel< TimeValuePoint >", "classSparseValueModel.html", [
            [ "SparseTimeValueModel", "classSparseTimeValueModel.html", null ]
          ] ]
        ] ]
      ] ]
    ] ],
    [ "PlaylistFileReader", "classPlaylistFileReader.html", null ],
    [ "PlayParameterRepository", "classPlayParameterRepository.html", null ],
    [ "PluginDeletionNotifyAdapter", "classPluginDeletionNotifyAdapter.html", null ],
    [ "PluginIdentifier", "classPluginIdentifier.html", null ],
    [ "PluginRDFDescription", "classPluginRDFDescription.html", null ],
    [ "PluginRDFIndexer", "classPluginRDFIndexer.html", null ],
    [ "Clipboard::Point", "classClipboard_1_1Point.html", null ],
    [ "MutexLocker::Printer", "classMutexLocker_1_1Printer.html", null ],
    [ "Profiler", "classProfiler.html", null ],
    [ "Profiles", "classProfiles.html", null ],
    [ "DSSIPluginInstance::ProgramControl", "structDSSIPluginInstance_1_1ProgramControl.html", null ],
    [ "DSSIPluginInstance::ProgramDescriptor", "structDSSIPluginInstance_1_1ProgramDescriptor.html", null ],
    [ "ProgressReporter", "classProgressReporter.html", [
      [ "ProgressPrinter", "classProgressPrinter.html", null ]
    ] ],
    [ "PropertyContainer", "classPropertyContainer.html", [
      [ "Preferences", "classPreferences.html", null ]
    ] ],
    [ "RangeSummarisableTimeValueModel::Range", "classRangeSummarisableTimeValueModel_1_1Range.html", null ],
    [ "RangeMapper", "classRangeMapper.html", [
      [ "AutoRangeMapper", "classAutoRangeMapper.html", null ],
      [ "InterpolatingRangeMapper", "classInterpolatingRangeMapper.html", null ],
      [ "LinearRangeMapper", "classLinearRangeMapper.html", null ],
      [ "LogRangeMapper", "classLogRangeMapper.html", null ]
    ] ],
    [ "RDFExporter", "classRDFExporter.html", null ],
    [ "RDFImporter", "classRDFImporter.html", null ],
    [ "RDFImporterImpl", "classRDFImporterImpl.html", null ],
    [ "RDFTransformFactory", "classRDFTransformFactory.html", null ],
    [ "RDFTransformFactoryImpl", "classRDFTransformFactoryImpl.html", null ],
    [ "RealTime", "structRealTime.html", null ],
    [ "RealTimePluginDescriptor", "classRealTimePluginDescriptor.html", null ],
    [ "RealTimePluginFactory", "classRealTimePluginFactory.html", [
      [ "LADSPAPluginFactory", "classLADSPAPluginFactory.html", [
        [ "DSSIPluginFactory", "classDSSIPluginFactory.html", null ]
      ] ]
    ] ],
    [ "RecentFiles", "classRecentFiles.html", null ],
    [ "RegionRec", "structRegionRec.html", null ],
    [ "FileReadThread::Request", "structFileReadThread_1_1Request.html", null ],
    [ "Resampler", "classResampler.html", null ],
    [ "ResizeableBitset", "classResizeableBitset.html", null ],
    [ "ResourceFinder", "classResourceFinder.html", null ],
    [ "RingBuffer< T, N >", "classRingBuffer.html", null ],
    [ "SamplePlayer", "classSamplePlayer.html", null ],
    [ "Scavenger< T >", "classScavenger.html", null ],
    [ "ScavengerArrayWrapper< T >", "classScavengerArrayWrapper.html", null ],
    [ "Selection", "classSelection.html", null ],
    [ "Serialiser", "classSerialiser.html", null ],
    [ "StorageAdviser", "classStorageAdviser.html", null ],
    [ "StringBits", "classStringBits.html", null ],
    [ "TabularModel", "classTabularModel.html", [
      [ "DenseThreeDimensionalModel", "classDenseThreeDimensionalModel.html", null ],
      [ "SparseModel< PointType >", "classSparseModel.html", null ],
      [ "SparseModel< FlexiNote >", "classSparseModel.html", null ],
      [ "SparseModel< ImagePoint >", "classSparseModel.html", null ],
      [ "SparseModel< Note >", "classSparseModel.html", null ],
      [ "SparseModel< OneDimensionalPoint >", "classSparseModel.html", null ],
      [ "SparseModel< PathPoint >", "classSparseModel.html", null ],
      [ "SparseModel< RegionRec >", "classSparseModel.html", null ],
      [ "SparseModel< TextPoint >", "classSparseModel.html", null ],
      [ "SparseModel< TimeValuePoint >", "classSparseModel.html", null ]
    ] ],
    [ "TempDirectory", "classTempDirectory.html", null ],
    [ "TempWriteFile", "classTempWriteFile.html", null ],
    [ "TextMatcher", "classTextMatcher.html", null ],
    [ "Thread", "classThread.html", [
      [ "DecodingWavFileReader::DecodeThread", "classDecodingWavFileReader_1_1DecodeThread.html", null ],
      [ "DSSIPluginInstance::NonRTPluginThread", "classDSSIPluginInstance_1_1NonRTPluginThread.html", null ],
      [ "FFTDataServer::FillThread", "classFFTDataServer_1_1FillThread.html", null ],
      [ "FileReadThread", "classFileReadThread.html", null ],
      [ "ModelTransformer", "classModelTransformer.html", [
        [ "FeatureExtractionModelTransformer", "classFeatureExtractionModelTransformer.html", null ],
        [ "RealTimeEffectModelTransformer", "classRealTimeEffectModelTransformer.html", null ]
      ] ],
      [ "MP3FileReader::DecodeThread", "classMP3FileReader_1_1DecodeThread.html", null ],
      [ "OggVorbisFileReader::DecodeThread", "classOggVorbisFileReader_1_1DecodeThread.html", null ],
      [ "WaveFileModel::RangeCacheFillThread", "classWaveFileModel_1_1RangeCacheFillThread.html", null ]
    ] ],
    [ "TimeValuePoint", "structTimeValuePoint.html", null ],
    [ "FeatureWriter::TrackMetadata", "structFeatureWriter_1_1TrackMetadata.html", null ],
    [ "TransformDescription", "structTransformDescription.html", null ],
    [ "TransformFactory", "classTransformFactory.html", null ],
    [ "TransformFactory::UninstalledTransformsPopulateThread", "classTransformFactory_1_1UninstalledTransformsPopulateThread.html", null ],
    [ "UnitDatabase", "classUnitDatabase.html", null ],
    [ "ModelTransformerFactory::UserConfigurator", "classModelTransformerFactory_1_1UserConfigurator.html", null ],
    [ "ViewManagerBase", "classViewManagerBase.html", null ],
    [ "WavFileWriter", "classWavFileWriter.html", null ],
    [ "Window< T >", "classWindow.html", null ],
    [ "XmlExportable", "classXmlExportable.html", [
      [ "ImagePoint", "structImagePoint.html", null ],
      [ "Model", "classModel.html", null ],
      [ "MultiSelection", "classMultiSelection.html", null ],
      [ "PlayParameters", "classPlayParameters.html", null ],
      [ "PluginXml", "classPluginXml.html", null ],
      [ "TextPoint", "structTextPoint.html", null ],
      [ "Transform", "classTransform.html", null ]
    ] ],
    [ "ZoomConstraint", "classZoomConstraint.html", [
      [ "PowerOfSqrtTwoZoomConstraint", "classPowerOfSqrtTwoZoomConstraint.html", null ],
      [ "PowerOfTwoZoomConstraint", "classPowerOfTwoZoomConstraint.html", null ]
    ] ]
];